import App from "../../vuejs/CommentEditor/App.vue"
import { createApp, reactive } from "vue";

const ckeditorFields: NodeListOf<HTMLTextAreaElement> =
    document.querySelectorAll("[id^='comment-app']");

const globalState = reactive({
    isSimple: localStorage.getItem('editorMode') === 'simple'
});
window.addEventListener('storage', () => {
    globalState.isSimple = localStorage.getItem('editorMode') === 'simple';
});

ckeditorFields.forEach((field: HTMLTextAreaElement): void => {
    const app = createApp(App,{
        fieldName: field.dataset.fieldName,
        template: `<app></app>`
    });

    app.provide('globalState', globalState)
        .component("app", App)
        .mount(field);
});
